#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.8
visibility:           public
id:                   servant-swagger-1.1.8-7m9ceXiWpouXKz2Pg9ZBc
key:                  servant-swagger-1.1.8-7m9ceXiWpouXKz2Pg9ZBc
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  46f741be8eb8647306d226c5f14f1d18
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-8.8.3/site-local/servant-swagger-1.1.8
library-dirs:         /usr/lib/ghc-8.8.3/site-local/servant-swagger-1.1.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/servant-swagger-1.1.8
hs-libraries:         HSservant-swagger-1.1.8-7m9ceXiWpouXKz2Pg9ZBc
depends:
    QuickCheck-2.14-BpiBnslMXnDA1rRvvTRhCl
    aeson-1.4.7.1-D2ldL4AX1zOJH6OUZhNdCi
    aeson-pretty-0.8.8-Bhht8284pN8KBgNDmWtZyE base-4.13.0.0
    base-compat-0.11.1-4oueEGUxmwHC6tuHqQ6hE2 bytestring-0.10.10.0
    hspec-2.7.1-43ApGBUpMPSHYcY9t0eHqF
    http-media-0.8.0.0-KOzWt2DAnV0Kgh5lyJh446
    insert-ordered-containers-0.2.3-inpLyUJjrk2B0INpxqMi7
    lens-4.19.1-7VgpMiv8HRcIZKHvLV1d5f
    servant-0.17-LPHzluyZuSG4QJ3la8hO9s
    singleton-bool-0.1.5-A1BUoKOE7i9KQGHsFA81g
    swagger2-2.5-INiq774GQdX5vgNqRHSxas text-1.2.4.0
    unordered-containers-0.2.10.0-A1cNogzO5wQ33Xk0bjeyDo

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

